Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.network.packet
Class Packet23VehicleSpawn

    java.lang.Object
      net.minecraft.network.packet.Packet
          net.minecraft.network.packet.Packet23VehicleSpawn

    public class Packet23VehicleSpawn

extends Packet

Field Summary
`int` | `entityId` Entity ID of the object.
`int` | `field_92025_h`
`int` | `field_92026_i`
`int` | `speedX` Not sent if the thrower entity ID is 0.
`int` | `speedY` Not sent if the thrower entity ID is 0.
`int` | `speedZ` Not sent if the thrower entity ID is 0.
`int` | `throwerEntityId` 0 if not a fireball.
`int` | `type` The type of object.
`int` | `xPosition` The X position of the object.
`int` | `yPosition` The Y position of the object.
`int` | `zPosition` The Z position of the object.

Fields inherited from class net.minecraft.network.packet.Packet
`creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

Constructor Summary
`Packet23VehicleSpawn()`
`Packet23VehicleSpawn(Entity par1Entity, int par2)`
`Packet23VehicleSpawn(Entity par1Entity, int par2, int par3)`

Method Summary
`int` | `getPacketSize()` Abstract.
`void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
`void` | `readPacketData(DataInputStream par1DataInputStream)` Abstract.
`void` | `writePacketData(DataOutputStream par1DataOutputStream)` Abstract.

Methods inherited from class net.minecraft.network.packet.Packet
`addIdClassMapping, containsSameEntityIDAs, getNewPacket, getPacketId, isRealPacket, isWritePacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### entityId

    public int entityId

  Entity ID of the object.

### xPosition

    public int xPosition

  The X position of the object.

### yPosition

    public int yPosition

  The Y position of the object.

### zPosition

    public int zPosition

  The Z position of the object.

### speedX

    public int speedX

  Not sent if the thrower entity ID is 0. The speed of this fireball along the X axis.

### speedY

    public int speedY

  Not sent if the thrower entity ID is 0. The speed of this fireball along the Y axis.

### speedZ

    public int speedZ

  Not sent if the thrower entity ID is 0. The speed of this fireball along the Z axis.

### field_92025_h

    public int field_92025_h

### field_92026_i

    public int field_92026_i

### type

    public int type

  The type of object.

### throwerEntityId

    public int throwerEntityId

  0 if not a fireball. Otherwise, this is the Entity ID of the thrower.

Constructor Detail

### Packet23VehicleSpawn

    public Packet23VehicleSpawn()

### Packet23VehicleSpawn

    public Packet23VehicleSpawn(Entity par1Entity,
                                int par2)

### Packet23VehicleSpawn

    public Packet23VehicleSpawn(Entity par1Entity,
                                int par2,
                                int par3)

Method Detail

### readPacketData

    public void readPacketData(DataInputStream par1DataInputStream)
                        throws IOException

  Abstract. Reads the raw packet data from the data stream.

  Specified by:
    `readPacketData` in class `Packet`
  Throws:
    `IOException`

### writePacketData

    public void writePacketData(DataOutputStream par1DataOutputStream)
                         throws IOException

  Abstract. Writes the raw packet data to the data stream.

  Specified by:
    `writePacketData` in class `Packet`
  Throws:
    `IOException`

### processPacket

    public void processPacket(NetHandler par1NetHandler)

  Passes this Packet on to the NetHandler for processing.

  Specified by:
    `processPacket` in class `Packet`

### getPacketSize

    public int getPacketSize()

  Abstract. Return the size of the packet (not counting the header).

  Specified by:
    `getPacketSize` in class `Packet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD